using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using AT288Lib.Net;

namespace AT288Demo.Net.Dialog
{
    public partial class LockTagDialog : Form
    {
        #region 생성자
        public LockTagDialog()
        {
            InitializeComponent();
        }
        #endregion

        #region 속성
        public AccessPermType KillPassword
        {
            set { cbKillPassword.SelectedIndex = (int)value; }
            get { return (AccessPermType)cbKillPassword.SelectedIndex; }
        }
        public AccessPermType AccessPassword
        {
            set { cbAccessPassword.SelectedIndex = (int)value; }
            get { return (AccessPermType)cbAccessPassword.SelectedIndex; }
        }
        public AccessPermType EPC
        {
            set { cbEPC.SelectedIndex = (int)value; }
            get { return (AccessPermType)cbEPC.SelectedIndex; }
        }
        public AccessPermType TID
        {
            set { cbTID.SelectedIndex = (int)value; }
            get { return (AccessPermType)cbTID.SelectedIndex; }
        }
        public AccessPermType User
        {
            set { cbUser.SelectedIndex = (int)value; }
            get { return (AccessPermType)cbUser.SelectedIndex; }
        }
        #endregion

        #region 이벤트 처리기
        private void btnOK_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }
        #endregion
    }
}
